ttmedia_load_reply(library call)

NAME
ttmedia_load_reply — reply to a Display, Edit or Compose request

SYNOPSIS

#include &<Tt/tttk.h>
Tt_message ttmedia_load_reply(
Tt_message contract,
const unsigned char *new_contents,
int new_len,
int reply_and_destroy);

DESCRIPTION

The ttmedia_load_reply function is used to reply to a Media Exchange request to display, edit or compose a document. The editor working on the request usually calls ttmedia_load_reply when the user has indicated in some way that he or she is finished viewing or modifying the document.

If new_contents and new_len are non- NULL and non-zero, respectively, ttmedia_load_reply uses their values to set the new contents of the document back in the appropriate output argument of contract. If reply_and_destroy is True, ttmedia_load_reply replies to contract and then destroys it.

RETURN VALUE

Upon successful completion, the ttmedia_load_reply function returns the created Tt_message; otherwise, it returns an error pointer. The application can use tt_ptr_error(3) to extract one of the following Tt_status values from the returned handle:

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

APPLICATION USAGE

If contract is a Display request, then new_contents and new_len should be zero.

SEE ALSO

Tt/tttk.h - Tttttk(5), ttmedia_load(3), ttmedia_ptype_declare(3), ttmedia_Deposit(3).